Altibase.jdbc.driver.util

## Class RuntimeEnvironmentVariables

- java.lang.Object
- - Altibase.jdbc.driver.util.RuntimeEnvironmentVariables

    public final class RuntimeEnvironmentVariables
    extends java.lang.Object

### Method Summary

All Methods Static Methods Concrete Methods
`static int` `getAvailableProcessors()` Java 가상 머신이 이용할 수 있는 CPU 코어 수를 돌려 준다.
`static boolean` `getBooleanVariable(java.lang.String aKey)`
`static boolean` `getBooleanVariable(java.lang.String aKey, boolean aDefaultValue)`
`static int` `getIntVariable(java.lang.String aKey)`
`static int` `getIntVariable(java.lang.String aKey, int aDefaultValue)`
`static int` `getTotalVariableLength()`
`static java.lang.String` `getVariable(java.lang.String aKey)`
`static java.lang.String` `getVariable(java.lang.String aKey, java.lang.String aDefaultValue)`
`static boolean` `isSet(java.lang.String aKey)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### isSet

    public static boolean isSet(java.lang.String aKey)

#### getVariable

    public static java.lang.String getVariable(java.lang.String aKey)

#### getVariable

    public static java.lang.String getVariable(java.lang.String aKey,
                                               java.lang.String aDefaultValue)

#### getIntVariable

    public static int getIntVariable(java.lang.String aKey)

#### getIntVariable

    public static int getIntVariable(java.lang.String aKey,
                                     int aDefaultValue)

#### getBooleanVariable

    public static boolean getBooleanVariable(java.lang.String aKey)

#### getBooleanVariable

    public static boolean getBooleanVariable(java.lang.String aKey,
                                             boolean aDefaultValue)

#### getAvailableProcessors

    public static int getAvailableProcessors()

Java 가상 머신이 이용할 수 있는 CPU 코어 수를 돌려 준다.

Returns:
  Java 가상 머신에서 사용할 수 있는 최대 코어 수

#### getTotalVariableLength

    public static int getTotalVariableLength()